%define module	editorconfig
%define srcname	EditorConfig

Name:		python-%{module}
Version:	0.12.1
Release:	%mkrel 1
Summary:	EditorConfig File Locator and Interpreter for Python
Group:		Development/Python
License:	MIT
URL:		https://github.com/beautify-web/js-beautify
Source0:	https://pypi.io/packages/source/e/editorconfig/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description
EditorConfig Python Core provides the same functionality as the EditorConfig
C Core. EditorConfig Python core can be used as a command line program or as
an importable library.

#------------------------------------------------

%package -n	python2-%{module}
Summary:	EditorConfig File Locator and Interpreter for Python 2
Group:		Development/Python

%description -n	python2-%{module}
EditorConfig Python 2 Core provides the same functionality as the EditorConfig
C Core. EditorConfig Python 2 core can be used as a command line program or as
an importable library.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	EditorConfig File Locator and Interpreter for Python 3
Group:		Development/Python

%description -n	python3-%{module}
EditorConfig Python 3 Core provides the same functionality as the EditorConfig
C Core. EditorConfig Python 3 core can be used as a command line program or as
an importable library.

#------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install
mv %{buildroot}%{_bindir}/editorconfig %{buildroot}%{_bindir}/python2-editorconfig

pushd %{py3dir}
%py3_install
popd

%files -n python2-%{module}
%{_bindir}/python2-editorconfig
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%{_bindir}/editorconfig
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Sun Oct 30 2016 daviddavid <daviddavid> 0.12.1-1.mga6
+ Revision: 1064200
- initial package python-editorconfig

